{% set local_hosts = salt['cmd.run']('/srv/scripts/get_local_hosts.sh').split("\n") %}


salt:
  master:
    fileserver_backend:
      - roots
      - git
    gitfs_provider: gitpython
    pillar_roots:
      base:
        - /srv/pillar
      dev:
        - /srv/pillar
    file_roots:
      base:
        - /srv/salt
        - /srv/formulas/apt-cacher-formula
        - /srv/formulas/avahi-formula
        - /srv/formulas/dnsmasq-formula
        - /srv/formulas/hostapd
        - /srv/formulas/hostapd-formula
        - /srv/formulas/iptables
        - /srv/formulas/iptables-formul
        - /srv/formulas/network-debian-formula
        - /srv/formulas/openssh-formula
        - /srv/formulas/salt-formula
        - /srv/formulas/users-formula

      dev:
        - /srv/salt

    reactors:
      - 'salt/auth':
        - /srv/reactor/auth-pending.sls

  minion:
    master:
      - diagnostics.truefitness.com
      - diagnostics.truefitness.int
    master_type: failover
    master_alive_interval: 30
    master_fallback: true
    master_fallback_interval: 10
    retry_dns: 0
  #  file_client: local
    fileserver_backend:
      - roots
      - git
    pillar_roots:
      base:
        - /srv/pillar
      dev:
        - /srv/pillar
    file_roots:
      base:
        - /srv/salt
        - /srv/formulas/apt-cacher-formula
        - /srv/formulas/avahi-formula
        - /srv/formulas/dnsmasq-formula
        - /srv/formulas/hostapd
        - /srv/formulas/hostapd-formula
        - /srv/formulas/iptables
        - /srv/formulas/iptables-formul
        - /srv/formulas/network-debian-formula
        - /srv/formulas/openssh-formula
        - /srv/formulas/salt-formula
        - /srv/formulas/users-formula
      dev:
        - /srv/salt

  ssh_roster:
    {% for console in local_hosts %}
    con_{{ console }}:
      host: {{ console }}
      user: '"true"'
      sudo: True
      priv: /srv/salt/ssh-keys/id_rsa_salt_ssh
    {% endfor %}
