#!/bin/bash
LOG=/var/log/salt/asset
if [[ ! -f $LOG ]]; then
  sudo touch $LOG
fi

# Configure such that other consoles will set this console on the network as salt.local
#  # add the roles:salt-master grain

# We could still log the files somewwhere else but we want to only report the
# final result so that trueui can display the active minions

sudo salt-call state.sls master_grain --local --state-output=mixed | sudo tee -a $LOG > /dev/null
sudo salt-call state.sls avahi --local --state-output=mixed | sudo tee -a $LOG > /dev/null

# Configure as salt-syndic for diagnostics.truefitness.com
sudo salt-call state.sls salt.syndic --local --state-output=mixed | sudo tee -a $LOG > /dev/null

# Look for other consoles and make them availible

HOST=$(avahi-browse -ptkl _console._tcp | grep IPv4 | cut -d';' -f4)

for h in $HOST; do
  if [[ "$h" == "salt" ]]; then #Exit another console thinks it is master
	  echo "Another console is in the Master state...now exiting" | sudo tee -a "$LOG"  1>&2
	  return 2
  else
     echo "resetting $h".local | sudo tee -a $LOG > /dev/null
     sudo -u true ssh  -o StrictHostKeyChecking=no \
    -o UserKnownHostsFile=/dev/null \
    -i /srv/salt/ssh-keys/id_rsa_salt_ssh "$h".local \
   'sudo salt-key -y -D && sudo /srv/scripts/quick_reset_minion.sh &' 2>&1 | sudo tee -a $LOG > /dev/null
  fi
done

# Wait for minions get reset before looking for them, if they still haven't resonded, remove them
sleep 25

# not sure if this is needed
#sudo systemctl restart salt-minion > /dev/null


# Report what type of equipment will be synchronized
sudo salt '*'  cmd.run '/usr/lib/truefitness/truetouch/scripts/detect_base.sh' --out json --static | grep -v "did not respond"
