#!/bin/bash
#set -x

if [ $# -ne 1 ]; then
  echo $0: usage $0 days
  echo "reset the last checked timestamp to number of days ago"
  exit 1
fi

OUTPUT_FILE="/data/logs/recentErrors.log"

# Convert input days into seconds
declare -i CHK_DELTA=$1*86400

CURR_TIME=$(date +%s)
declare -i CHK_TIME=$CURR_TIME-$CHK_DELTA

if [[ -e "$OUTPUT_FILE" ]]; then
  # change timestamp of last check time 
  nawk -F, -v chkTime=$CHK_TIME '{
    if($0~/Last check time/) {
      print chkTime", Last check time";
  }}' $OUTPUT_FILE > $OUTPUT_FILE.tmp
fi

mv $OUTPUT_FILE.tmp $OUTPUT_FILE
