#!/bin/bash
SALT="/etc/salt"
ID_FILE="$SALT/minion_id"
SALT_PKI="$SALT/pki"

if [ -f "$ID_FILE" ]; then

  while IFS='' read -r id || [ -n "$id" ]; do
    MINION_ID=$id
    echo $MINION_ID
  done < "/etc/salt/minion_id"

  if [ ! "$(hostname)" = "$MINION_ID" ] ; then
    echo "minion_id doesn't match hostname... now deleting";
    sudo systemctl stop salt-minion 
    sudo rm $ID_FILE
    sudo rm $SALT_PKI/minion/minion.pem
    sudo rm $SALT_PKI/minion/minion.pub
    sudo systemctl start salt-minion
  else
    echo "minion_id matches hostname";
  fi

fi
